Subject: Re: bug#16497: 24.3.50; `move-to-column' ignores invisible text at the beginning of the line, which create problems when using string-rectangle

From: Stefan Monnier <[email-masked]>
Date: Mon, 20 Jan 2014 14:10:47 -0500

>> It's probably due to the post-command processing which tries to move
>> point outside of invisible regions and to pretend that invisible regions
>> don't exist at all (and paying attention to stickiness so that it
>> prefers text positions where `invisible' won't be inherited).
>> So moving from "before a" to "before b" ends up moving to "before c"
>> so that C-f from "before a" moves visually by one char (to "before c").
> Thanks -- you nearly lost me here!
> Should not this be considered a bug?

Yes, it's a bug in `move-beginning-of-line' which moves forward (to
"before b") when you're just before a, whereas it should always never
move forward.

        Stefan